List document versions
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Path Parameters
id*string
The contract id.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/contracts/string/versions"{
"data": [
{
"id": "string",
"contractId": "string",
"versionNumber": 0,
"parentVersionId": "string",
"source": "UPLOADED",
"fileName": "string",
"contentType": "string",
"sizeBytes": 0,
"sha256": "string",
"uploadedById": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}